$(document).ready(function () {

    // start Ajax call
    $.getJSON('data/contacts.json', function (data) {
        
        var addrBook = data.addressBook,
            count = addrBook.length;
        
        // clear the target area just incase there's something in it.
        $('#output').empty();
        
        // check the count, of course
        if (count > 0) {
            
            // loop through the contacts
            $.each(addrBook, function (i, obj) {
               
                $('#output').append('<p>' + obj.name + ', <a href="mailto:' + obj.email + '">'+ obj.email +'</a><p>').hide().fadeIn();
            
            }); // end each
        
        } // end count check
    
    }).error(function () {
    
        // if there was an error during the ajax call
        alert('there was an ajax error');
    
    }).complete(function () {
    
        // if the jax call completed (whether it was successful of not)
        alert('your ajax call was completed');
        
    }).success(function(){
    
        // if the ajax call wasa success
        alert('your ajax call was a success');
    
    }); // end ajax call

}); // close document.ready